@import "./variables.less";
.sw5e.sheet.actor {

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .sheet-header {
    .charlevel {
      flex: 0 0 160px;
      height: 60px;
      margin: 0;
      padding: 5px;
      text-align: right;

      .level {
        width: 100%;
        height: 30px;
        font-size: 20px;
        line-height: 30px;

        label {
          display: inline;
          font-size: 24px;
          text-align: right;
        }

        input {
          display: inline;
          width: 36px;
          font-size: 24px;
          text-align: center;
        }

        // If the Experience Bar is disabled
        &.noxp {
          margin-top: 10px;
          > label {
            font-size: 32px;
          }
          > input {
            font-size: 32px;
            flex: 0 0 40px;
            height: 44px;
          }
        }

      }

      .experience {
        width: 100%;
        height: 20px;
        padding-right: 5px;
        font-size: 16px;
        color: @colorOlive;
      }
    }
  }

  .attributes {
    input.temphp {
      width: 48%;
    }
  }

  /* ----------------------------------------- */
  /*  General Styles                           */
  /* ----------------------------------------- */

  // Box Headers
  h4.box-title {
    line-height: 16px;
    margin: 4px 8px 2px;
    font-size: 18px;
    border-bottom: 1px solid @colorBeige;
  }

  /* ----------------------------------------- */
  /*  Attributes                               */
  /* ----------------------------------------- */

  ul.attributes {
    list-style: none;
    margin: 5px 0 0;
    padding: 0;

    li.attribute {
      height: 70px;
      margin: 0 5px;
      border: @borderGroove;
      border-radius: 4px;
      .nodesto();
      text-align: center;

      .attribute-name {
        flex: 0 0 18px;
      }

      .attribute-value {
        height: 28px;
        line-height: 28px;

        input {
          display: inline;
          max-width: 80%;
          height: 28px;
          margin: 0;
          font-size: 24px;
        }

        span.sep {
          display: inline;
          position: relative;
          top: 2px;
          font-size: 28px;
          color: @colorTan;
        }

        &.multiple {
          input { max-width: 33%; }
        }
      }

      .attribute-footer {
        flex: 0 0 18px;
        margin-top: -1px;
        line-height: 18px;
        font-family: "Signika", "Palatino Linotype", serif;
        font-size: 12px;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Ability Scores                           */
  /* ----------------------------------------- */

  .ability-scores {
    flex: 0 0 100%;
    list-style: none;
    margin: 0;
    padding: 0;
    .nodesto();

    .ability {
      height: 70px;
      margin: 0 5px;
      text-align: center;
      border: @borderGroove;
      border-radius: 3px;

      input.ability-score {
        height: 30px;
        width: 50px;
        margin: 0 auto;
        line-height: 32px;
        font-size: 24px;
      }

      .ability-modifiers {
        height: 24px;
        margin: -10px 0 0;

        span.ability-mod,
        span.ability-save {
          flex: 0 0 24px;
          height: 24px;
          border-top: @borderGroove;
        }

        span.ability-mod {
          border-right: @borderGroove;
        }

        .ability-proficiency {
          line-height: 30px;
        }

        span.ability-save {
          border-left: @borderGroove;
        }
      }

      /* Hide modifier box on hover */

      input.ability-score:hover + .ability-modifiers {
        visibility: hidden;
      }
    }
  }

  // Proficiency Toggle Buttons
  .proficiency-toggle {
    color: @colorBeige;
    font-size: 12px;
  }
  .proficient .proficiency-toggle {
    color: @colorOlive;
  }

  .locked .proficiency-toggle {
    color: @colorBeige;
    text-shadow: none;
    cursor: default;
  }

  /* ----------------------------------------- */
  /*  Skills                                   */
  /* ----------------------------------------- */

  ul.skills-list {
    flex: 0 0 192px;
    list-style: none;
    margin: 5px 5px 0;
    padding: 2px 2px 0;
    border: @borderGroove;
    border-radius: 3px;

    li.skill {
      height: 22px;
      padding: 3px 0;

      h4 {
        flex: 1px;
        margin: 0;
        font-size: 11px;
        line-height: 18px;
      }

      .skill-proficiency {
        flex: 0 0 16px;
        line-height: 18px;
      }

      .skill-ability {
        flex: 0 0 26px;
      }

      .skill-mod {
        flex: 0 0 20px;
      }

      .skill-passive {
        flex: 0 0 26px;
        text-align: center;
        color: @colorTan;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Statuses                                 */
  /* ----------------------------------------- */

  .counters {
    flex: 0 0 100%;
    border-bottom: @borderGroove;
    margin-bottom: 5px;

    .counter {
      padding: 0 3px;
      line-height: 28px;

      h4 {
        flex: auto;
        margin: 0;
        .nodesto();
        font-size: 14px;
      }

      .counter-value {
        flex: 0 0 50px;
        text-align: right;
        > * {
          display: inline;
        }
      }

      input[type="text"] {
        height: 20px;
        max-width: 20px;
        margin: 0;
        padding: 0;
        text-align: center;
      }

      input[type="checkbox"] {
        position: relative;
        width: 16px;
        height: 16px;
        margin: 0;
        top: 4px;
      }

      span.sep {
        margin: 0 -2px;
        font-size: 12px;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Traits                                   */
  /* ----------------------------------------- */

  .traits {
    margin: 0 5px;

    .form-group, .form-group-stacked {
      margin: 0 0 3px 0;
      justify-content: space-between;
    }

    .configure-flags {
      flex: 1;
    }

    .actor-size {
      flex: 0 0 150px;
    }

    label {
      flex: 0 0 150px;
      line-height: 20px;
      font-weight: bold;
      margin: 0;
    }

    input {
      text-align: right;
    }

    i.fas {
      float: right;
      margin-right: 3px;
      text-align: right;
      color: #999;

      &:hover {
        color: #111;
        text-shadow: 0 0 10px red;
      }
    }

    .inactive {
      color: @colorTan;
    }
  }

  /* ----------------------------------------- */
  /*  Inventory Lists                          */
  /* ----------------------------------------- */

  .tab.features,
  .tab.inventory,
  .tab.spellbook {
    overflow-y: hidden;
  }

  /* Inventory List Filters */
  .inventory-filters {
    margin: 0 8px;
    flex: 0 0 20px;
    h3, .filter-title {
      .nodesto();
      color: @colorOlive;
      font-size: 18px;
      margin: 0;
    }

    &.spellbook-filters {
      flex: 0 0 40px;
    }

    .currency {
      list-style: none;
      margin: 4px 0 8px;
      padding: 0;
      font-size: 12px;

      label {
        flex: 0;
        margin-left: 8px;
        text-align: right;
        line-height: 20px;
        color: @colorTan;
      }
      input[type="text"] {
        flex: 0 0 48px;
        text-align: center;
        margin-left: 8px;
        border-bottom: @borderGroove;
      }
    }
  }

  .inventory-list {
    list-style: none;
    margin: 0;
    padding: 0 5px;
    overflow-y: auto;

    // Inventory Item
    .item {
      line-height: 30px;
      padding: 0 2px; // to align with the header border
      border-bottom: 1px solid @colorFaint;
      &:last-child { border-bottom: none; }

      // Item Header Name
      .item-name {
        cursor: pointer;
        max-height: 30px;
        overflow: hidden;

        .item-image {
          flex: 0 0 30px;
          background-size: 30px;
          margin-right: 5px;
        }

        h4 {
          margin: 0;
          white-space: nowrap;
          overflow-x: hidden;
        }

        &.rollable .item-image:hover {
          background-image: url("/icons/svg/d20-black.svg") !important;
        }
        &.rollable:hover .item-image {
          background-image: url("/icons/svg/d20-grey.svg") !important;
        }

        i.attuned {
          color: @colorTan;
        }
      }

      // Item uses
      .item-uses input {
        width: 24px;
        text-align: center;
      }

      // Item Dropdown Properties
      .item-properties {
        margin-top: 3px;
      }

      // Charged
      .item-recharge {
        flex: 0 0 80px;
        text-align: right;
        font-size: 11px;
        color: @colorTan;
        white-space: nowrap;
      }
    }

    // Inventory Header
    .inventory-header {
      margin: 2px 0;
      padding: 0;
      background: rgba(0, 0, 0, 0.05);
      border: @borderGroove;
      font-weight: bold;
      line-height: 24px;

      h3 {
        margin: 0 -5px 0 0;
        padding-left: 5px;
        font-size: 13px;
        font-weight: bold;
      }

      .item-controls a.item-create {
        flex: 0 0 100%;
      }
    }

    // Item Detail Sections
    .item-detail {
      flex: 0 0 70px;
      font-size: 12px;
      color: @colorTan;
      text-align: center;
      border-right: 1px solid @colorFaint;
      &:last-child { border-right: none; }
      &.item-action {flex: 0 0 100px}
    }

    .item-weight {
      flex: 0 0 60px;
      border-left: 1px solid @colorFaint;
      border-right: 1px solid @colorFaint;
    }

    .item-list {
      list-style: none;
      margin: 0;
      padding: 0;
    }

    // Item Control Buttons
    .item-controls {
      flex: 0 0 44px;
      .flexrow();
      justify-content: flex-end;

      a {
        flex: 0 0 22px;
        font-size: 12px;
        text-align: center;
        color: @colorTan;
      }
    }

    // Item Dropdown Summary
    .item-summary {
      flex: 0 0 100%;
      font-size: 12px;
      line-height: 16px;
      padding: 0.25em 0.5em;
      border-top: 1px solid @colorFaint;
    }
  }

  /* ----------------------------------------- */
  /*  Spellbook                                */
  /* ----------------------------------------- */

  .spellcasting-ability {
    h3 {
      flex: none;
      margin-right: 5px;
    }
    input, span {
      flex: 0 0 32px;
      text-align: center;
    }
    select {
      margin: 0 5px;
      flex: 0 0 150px;
    }
    h3.spell-dc {
      flex: 1;
      text-align: right;
    }
  }

  .spell-slots,
  .spell-comps {
    flex: 0 0 72px;
    padding-right: 5px;
    text-align: right;
    font-size: 12px;
    color: @colorTan;
    border-right: 1px solid @colorFaint;
  }

  .spell-slots {
    input, span.sep {
      display: inline;
      max-width: 20px;
      text-align: center;
    }
  }

  .spell-uses {
    padding-right: 8px;
    text-align: right !important;
  }

  .spell-school, .spell-action, .spell-target {
    flex: 0 0 100px;
    font-size: 12px;
    color: @colorTan;
    text-align: center;
    border-right: 1px solid @colorFaint;
  }

  .spell-component {
    line-height: 14px;
    &.C, &.R {
      display: inline-block;
      text-align: center;
      padding-top: 1px;
      width: 16px;
      color: @colorFaint;
      background: rgba(0, 0, 0, 0.4);
      border: 1px solid transparent;
      border-radius: 8px;
    }
  }

  // Empty spellbook controls
  .spellbook-empty .item-controls { flex: 1; }

  /* ----------------------------------------- */
  /*  TinyMCE                                  */
  /* ----------------------------------------- */

  .editor {
    padding: 0 8px;
  }
}
